Account

Details

GET
/api/account/details

to fetch the primary user details like name, allowed products and segments

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/account/details" \  -H "Authorization: Bearer <api Key>:<access token>"
{
  "s": "ok",
  "d": {
    "userId": "JNDEMO01",
    "userName": "Demo User",
    "mobile": "9876543210",
    "email": "demo@example.com",
    "pan": "ABCDE1234F",
    "dpId": "IN123456",
    "bankDetails": [
      {
        "bankName": "HDFC Bank",
        "accNo": "XXXX1234",
        "ifsc": "HDFC0001234"
      }
    ],
    "dpIds": [
      "IN123456"
    ],
    "products": [
      "mis",
      "cnc",
      "nrml"
    ],
    "segments": [
      "NSE",
      "BSE",
      "NFO"
    ]
  }
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}